%define phpversion 4.0.4pl1
%define phprelease 6mdk
%define phpdir %{_libdir}/php 
%define phpsource /usr/src/php-devel

Summary:	GD module for PHP4
Name:		php-gd
Version:	%{phpversion}
Release:	6mdk
Group:		System/Servers
Copyright:	PHP License
BuildRoot:	%{_tmppath}/%{name}-root
Prereq:		php-common = %{phpversion}, perl
Requires:	libgd1.8 >= 1.8.4, t1lib1 >= 1.0.1, libpng2 >= 1.0.9
Requires:	freetype2, libxpm4
BuildRequires:  php-devel = %{phpversion}
BuildRequires:	libgd1.8-devel >= 1.8.4, t1lib1-devel >= 1.0.1
BuildRequires:  libpng2-devel >= 1.0.9
BuildRequires:  freetype2-devel, libxpm4-devel
Obsoletes:	mod_php-gd, mod_php3-gd

%description
The php-gd package is a dynamic shared object (DSO) that adds GD support to
PHP4. GD is a library that enables you to create PNG graphics. It is linked
with freetype and t1lib so you can use TrueType fonts. PHP4 is an
HTML-embedded scripting language. If you need GD support for PHP4
applications, you will need to install this package in addition to the php
package.

%build
[ -e ./gd ] && rm -fr ./gd
cp -dpR %{phpsource}/extensions/gd .
cd gd

%{phpsource}/buildext gd "gd.c gdttf.c gdcache.c gdt1.c" \
        "-ljpeg -lpng -lgd -lttf -lt1 -lc" "-DCOMPILE_DL_GD \
	-DHAVE_LIBGD -DHAVE_LIBGD13 -DHAVE_LIBGD15 \
	-DHAVE_COLORCLOSESTHWB -DHAVE_GDIMAGECOLORRESOLVE \
	-DHAVE_GD_PNG -DHAVE_LIGPNG \
	-DHAVE_GD_JPG -DHAVE_LIBJPEG \
	-DHAVE_GD_WBMP -DHAVE_WMBP -DHAVE_GD_XPM -DHAVE_GD_XBM \
	-DHAVE_LIBT1 -DHAVE_LIBFREETYPE -DHAVE_LIBT1_OUTLINE \
	-DENABLE_GD_TTF -DUSE_GD_IMGSTRTTF \
	-I/usr/include/freetype2 -I/usr/include/freetype2/freetype"

%install
cd gd
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT 
mkdir -p $RPM_BUILD_ROOT%{phpdir}/extensions

install -m 755 -s gd.so $RPM_BUILD_ROOT%{phpdir}/extensions/

mkdir -p $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
echo > $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/README <<EOF
The php-gd package contains a dynamic shared object (DSO) for PHP4. 
To activate it, make sure the line 'extension=gd.so' is uncommented
in your /etc/php.ini file.
EOF

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
[ -e ./gd ] && rm -fr ./gd

%post
if [ $1 = "1" ]; then
  if [ -f %{_sysconfdir}/php.ini ]; then
    perl -pi -e 's|^;extension\s*=\s*gd.so|extension = gd.so|' %{_sysconfdir}/php.ini
  fi
fi
if [ $1 -gt 1 ]; then
   #We're in *upgrade mode*. Since we can't be sure the configuration files
   #are sane, remove module from the conf files to clean them, re-add again
   #in a way that the older module we're replacing won't try to erase (the
   #post scripts were broken on some packages)
   #Also, there could be extra lines, so make sure we uncomment one
   #Finally, don't check for presence of php.ini, if it's not there,
   #we have a problem, so it should generate an error message.
   perl -pi -e 's|^extension\s*=\s*gd.so|;extension = gd.so|g' %{_sysconfdir}/php.ini
   perl -pi -e 's|^;extension\s*=\s*gd.so|extension = gd.so|' %{_sysconfdir}/php.ini
fi
if [ -e %{_sbindir}/AESctl ]; then %{_sbindir}/AESctl update;fi 

%preun
if [ $1 = "0" ]; then
  if [ -f %{_sysconfdir}/php.ini ]; then
    perl -pi -e 's|^extension\s*=\s*gd.so|;extension = gd.so|g' %{_sysconfdir}/php.ini
  fi
  if [ -e %{_sbindir}/AESctl ]; then %{_sbindir}/AESctl update;fi 
fi

%files 
%defattr(-,root,root)
%{phpdir}/extensions/gd.so
%dir %{_docdir}/%{name}-%{version}
%{_docdir}/%{name}-%{version}/README

%changelog
* Fri Apr 13 2001 Jean-Michel Dault <jmdault@mandrakesoft.com> 4.0.4pl1-6mdk
- fix requires
- made it working with gd 1.8.4 to have working jpeg support at last

* Mon Apr  9 2001 Jean-Michel Dault <jmdault@mandrakesoft.com> 4.0.4pl1-5mdk
- fix post scripts for good 

* Mon Apr  2 2001 Jean-Michel Dault <jmdault@mandrakesoft.com> 4.0.4pl1-4mdk
- Split gd package from php package so that when a new gd 
  package comes out, we don't have to recompile php, only this module
